Fetch the complete documentation index at: https://docs.tcgplayer.com/llms.txt. Use this file to discover all available pages before exploring further.

# Add Order Tracking Number

Add Order Tracking Number.

This endpoint is used to add tracking information to an open order. Adding tracking numbers to an order will change the order status automatically. The POST body needs to be a JSON array containing an element for each tracking number to add to the order.

[block:code]
{
  "codes": [
    {
      "code": "curl --header \"Content-Type: application/json\" \\\n  --request POST \\\n  --data '[\"TRACKINGNUMBER\"]' \\\n  http://api.tcgplayer.com/VERSION/stores/YOURSTOREKEY/orders/ORDERNUMBERTOADD/tracking",
      "language": "text",
      "name": "Curl Example"
    },
    {
      "code": "{\n  \"success\": true,\n  \"errors\": [\n    \"string\"\n  ],\n  \"results\": [\n    {\n      \"trackingNumber\": \"string\",\n      \"carrier\": \"string\",\n      \"imageUrl\": \"string\",\n      \"trackingUrl\": \"string\",\n      \"status\": \"string\",\n      \"createdOn\": \"datetime\"\n    }\n  ]\n}",
      "language": "json",
      "name": "Response Template"
    },
    {
      "code": "[\n\t\"trackingnumber\",\n  \"optional additional tracking number\"\n]",
      "language": "json",
      "name": "Request Body Template"
    }
  ]
}
[/block]

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "v1.39.0",
    "title": "TcgApi"
  },
  "paths": {
    "/stores/{storeKey}/orders/{orderNumber}/tracking": {
      "post": {
        "tags": [
          "Stores"
        ],
        "summary": "Add Order Tracking Number",
        "description": "Add Order Tracking Number.",
        "operationId": "Stores_CreateStoreOrderTracking",
        "parameters": [
          {
            "name": "storeKey",
            "in": "path",
            "description": "Required. A unique key used to identify the caller of the API.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "orderNumber",
            "in": "path",
            "description": "Required. The order number for the order being queried.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            },
            "text/json": {
              "schema": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            },
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            }
          },
          "description": "An array of tracking numbers to be added to the order.",
          "required": true
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TcgApiModel.Common.ApiResult_TcgApiModel.Store.OrderTracking_"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/TcgApiModel.Common.ApiResult_TcgApiModel.Store.OrderTracking_"
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.tcgplayer.com"
    }
  ],
  "components": {
    "schemas": {
      "TcgApiModel.Store.OrderTracking": {
        "type": "object",
        "properties": {
          "trackingNumber": {
            "type": "string"
          },
          "carrier": {
            "type": "string"
          },
          "imageUrl": {
            "type": "string"
          },
          "trackingUrl": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "createdOn": {
            "format": "date-time",
            "type": "string"
          }
        }
      },
      "TcgApiModel.Common.ApiResult_TcgApiModel.Store.OrderTracking_": {
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean"
          },
          "errors": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "results": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/TcgApiModel.Store.OrderTracking"
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 94,
      "1": 217,
      "2": 152,
      "3": 86,
      "4": 78,
      "5": 118,
      "6": 200,
      "7": 0,
      "8": 17,
      "9": 105,
      "10": 157,
      "11": 192
    }
  }
}
```